Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class Margins

    java.lang.Object
      com.aspose.barcode.jr.Margins

All Implemented Interfaces:
  java.io.Serializable

    public class Margins

extends java.lang.Object
implements java.io.Serializable

Specifies the size of the marginal area of the barcode image

See Also:
  Serialized Form

Constructor Summary
`Margins()` Constructs Margins with default settings.
`Margins(float left, float right, float top, float bottom)` Constructs Margins with custom settings

Method Summary
`float` | `getBottom()` Gets the bottom area of x barcode image
`float` | `getLeft()` Gets the marginal area at the left of the barcode image
`float` | `getRight()` Gets the marginal area at the right of the barcode image
`float` | `getTop()` Gets the top area of the barcode image
`void` | `reset()` Reset the marginal area to be 0
`void` | `setBottom(float value)` Sets the bottom area of x barcode image
`void` | `setLeft(float value)` Sets the marginal area at the left of the barcode image
`void` | `setRight(float value)` Sets the marginal area at the right of the barcode image
`void` | `setTop(float value)` Sets the top area of the barcode image

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Margins

    public Margins()

  Constructs Margins with default settings.

### Margins

    public Margins(float left,
                   float right,
                   float top,
                   float bottom)

  Constructs Margins with custom settings

  Parameters:
    `left` - left marginal size
    `right` - right marginal size
    `top` - top marginal size
    `bottom` - bottom marginal size

Method Detail

### getTop

    public float getTop()

  Gets the top area of the barcode image

### setTop

    public void setTop(float value)

  Sets the top area of the barcode image

### getBottom

    public float getBottom()

  Gets the bottom area of x barcode image

### setBottom

    public void setBottom(float value)

  Sets the bottom area of x barcode image

### getLeft

    public float getLeft()

  Gets the marginal area at the left of the barcode image

### setLeft

    public void setLeft(float value)

  Sets the marginal area at the left of the barcode image

### getRight

    public float getRight()

  Gets the marginal area at the right of the barcode image

### setRight

    public void setRight(float value)

  Sets the marginal area at the right of the barcode image

### reset

    public void reset()

  Reset the marginal area to be 0

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD